# DocumentDataExtractionStatus enum

The status of the extraction process.

Inheritance
  - Object
  - Enum
  - DocumentDataExtractionStatus
Available extensions
  - EnumName

## Values

SUCCESS → const DocumentDataExtractionStatus

  The document was extracted successfully.

ERROR_NOTHING_FOUND → const DocumentDataExtractionStatus

  No document was detected.

ERROR_BAD_CROP → const DocumentDataExtractionStatus

  A document was detected, but it was at an angle/distance that was too large.

ERROR_UNKNOWN_DOCUMENT → const DocumentDataExtractionStatus

  A document was detected, but it was not extracted as a supported document.

ERROR_UNACCEPTABLE_DOCUMENT → const DocumentDataExtractionStatus

  A document was detected as a supported document, but it was not part of the accepted documents.

INCOMPLETE_VALIDATION → const DocumentDataExtractionStatus

  All fields were extracted, but some of them failed validation.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<DocumentDataExtractionStatus>
  A constant List of the values in this enum, in order of their declaration.